<?php

// extended parameters for 
// simpleviewer module

/*
captionColor 	Color of image captions. Format: 0xRRGGBB. Default: 0x000000.
frameColor 	Frame color. Format: 0xRRGGBB. Default: 0xFFFFFF.
imageScaleMode	Image scaling type. Possible values: Crop, Fit, NoScale. Default: Crop.
visibleImages	Number of visible images. Default: 5.
usePhotoNumbers 	Determines whether or not to display page numbers. Possible values: Boolean(true/false). Default: true.
backButtonLabel	The "back" button text.Possible values: String. Default: BACK.
soundEffect 	Image transition sound. You need to specify a path to your sound file.Possible values: String. Default: .
bgImage 	Background image settings. 
	alpha 	<bgImage alpha="100" /> RGB
	source	<bgImage source="images/bg.jpg" /> URL
	Example
	<bgImage alpha="100" source="images/bg.jpg"/>
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$imageScaleMode = array( l10n('StackG_Crop'), l10n('StackG_Fit'), l10n('StackG_NoScale'));
	
// default values
if (!isset($ext_datas)) $ext_datas = array(
	'captionColor'	=> '#000000',
	'frameColor'	=> '#FFFFFF',
	'imageScaleMode'	=> 	1, //Crop.
	'visibleImages'	=> 5,
	'usePhotoNumbers'	=>  true,
	'backButtonLabel'	=> "BACK",
	'slideshow'			=> false,
	'width' 			=> "300", 
	'height' 			=> "200"
	);


// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
		if ($key == "usePhotoNumbers" or $key == "slideshow")
			$ext_datas[$key] = isset($_POST['StackG_'.$key]);
		else
			$ext_datas[$key] = $_POST['StackG_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "usePhotoNumbers" or $key == "slideshow")
		$template->assign(array( 'StackG_'.$key => (($ext_datas[$key]) ? 'checked="checked"': '')));
	elseif ($key == "imageScaleMode")
	{
		$i=1;
		foreach ( $imageScaleMode as $order ) //on parcours le tableau 
		{
			$template->append('StackG_imageScaleMode',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['imageScaleMode'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	else
		$template->assign(array( 'StackG_'.$key => $ext_datas[$key]));

}

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));

$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>